function [WH2,E] = breguet(Rt,Altitude,ISP,Mach,tau)
           [T,rho] = atmosphere(Altitude);
           a=sqrt(287*T*1.4);
           Vref=Mach*a;
           A=6;B=2;
           E=A/Mach*(Mach+B)*((1.0128-0.2797*log(tau/0.03))/(1-Mach^2/673)); 
           WH2=1-1/exp(Rt*1000/(ISP*Vref*E));
end